public inbox for linux-kernel@vger.kernel.org
 help / color / mirror / Atom feed
From: "Luis R. Rodriguez" <mcgrof@kernel.org>
To: Julia.Lawall@lip6.fr, Gilles.Muller@lip6.fr,
	nicolas.palix@imag.fr, mmarek@suse.com
Cc: linux-kernel@vger.kernel.org, cocci@systeme.lip6.fr,
	"Luis R. Rodriguez" <mcgrof@kernel.org>
Subject: [PATCH v3 1/6] coccicheck: move spatch binary check up
Date: Tue, 14 Jun 2016 13:23:35 -0700	[thread overview]
Message-ID: <1465935820-14010-2-git-send-email-mcgrof@kernel.org> (raw)
In-Reply-To: <1465935820-14010-1-git-send-email-mcgrof@kernel.org>

This has no functional changes. This is being done
to enable us to later use spatch binary for some
flag checking for certain features early on.

Signed-off-by: Luis R. Rodriguez <mcgrof@kernel.org>
---
 scripts/coccicheck | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/scripts/coccicheck b/scripts/coccicheck
index dd85a455b2ba..aa5e78fba270 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -7,6 +7,11 @@
 
 SPATCH="`which ${SPATCH:=spatch}`"
 
+if [ ! -x "$SPATCH" ]; then
+    echo 'spatch is part of the Coccinelle project and is available at http://coccinelle.lip6.fr/'
+    exit 1
+fi
+
 trap kill_running SIGTERM SIGINT
 declare -a SPATCH_PID
 
@@ -51,11 +56,6 @@ if [ "$KBUILD_EXTMOD" != "" ] ; then
     OPTIONS="--patch $srctree $OPTIONS"
 fi
 
-if [ ! -x "$SPATCH" ]; then
-    echo 'spatch is part of the Coccinelle project and is available at http://coccinelle.lip6.fr/'
-    exit 1
-fi
-
 if [ "$MODE" = "" ] ; then
     if [ "$ONLINE" = "0" ] ; then
 	echo 'You have not explicitly specified the mode to use. Using default "report" mode.'
-- 
2.8.2

  reply	other threads:[~2016-06-14 20:23 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-14 20:05 [PATCH v2 0/5] coccicheck: extend with parmap and indexing heuristics Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 1/5] coccicheck: enable parmap support Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 2/5] scripts: add glimpse.sh for indexing the kernel Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 3/5] coccicheck: add indexing enhancement options Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 4/5] coccicheck: document how to pass extra options to coccinelle Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 5/5] coccicheck: refer to coccicheck bottest wiki for documentation Luis R. Rodriguez
2016-06-14 20:19 ` [PATCH v2 0/5] coccicheck: extend with parmap and indexing heuristics Luis R. Rodriguez
2016-06-14 20:23   ` [PATCH v3 0/6] " Luis R. Rodriguez
2016-06-14 20:23     ` Luis R. Rodriguez [this message]
2016-06-14 20:23     ` [PATCH v3 2/6] coccicheck: enable parmap support Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 3/6] scripts: add glimpse.sh for indexing the kernel Luis R. Rodriguez
2016-06-15 10:26       ` Aw: [Cocci] " SF Markus Elfring
2016-06-15 18:00         ` Luis R. Rodriguez
2016-06-15 18:24           ` SF Markus Elfring
2016-06-15 18:43             ` Luis R. Rodriguez
2016-06-17 16:05               ` SF Markus Elfring
2016-06-17 17:23                 ` Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 4/6] coccicheck: add indexing enhancement options Luis R. Rodriguez
2016-06-15 11:20       ` Aw: [Cocci] " SF Markus Elfring
2016-06-15 20:00         ` Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 5/6] coccicheck: document how to pass extra options to coccinelle Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 6/6] coccicheck: refer to coccicheck bottest wiki for documentation Luis R. Rodriguez

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1465935820-14010-2-git-send-email-mcgrof@kernel.org \
    --to=mcgrof@kernel.org \
    --cc=Gilles.Muller@lip6.fr \
    --cc=Julia.Lawall@lip6.fr \
    --cc=cocci@systeme.lip6.fr \
    --cc=linux-kernel@vger.kernel.org \
    --cc=mmarek@suse.com \
    --cc=nicolas.palix@imag.fr \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox